---
title: Portfolio - Michal Vanko
projects:
  - description: >-
      _Signal Hub_ is an end-to-end **Big Data analytics platform** for large
      enterprises. It accelerates the process of extracting insights and
      intelligence from large volumes of data, including data of different types
      and in different formats.


      I worked on _Signal Hub_ as a front-end developer. Working on the part of
      the platform called _Workbench_. _Workbench_ is an **IDE for data
      analyst**. It allows to create and tweak various models and
      transformations which are then deployed to other parts of the platform.
      Users are able to create workflows and see the results of his work with
      pleasant visuals.


      This project is built with modern web technologies including:
      **AngularJS**, **React**, **D3**, **Highcharts**, **Jest**, **Webpack**.


      I was part of a large distributed team of ~20 developers & ~6 testers
      which were working on the whole platform.
    name: Signal Hub Manager
---
## Personal Information

I was born on 26th of May in Košice, Slovakia and I still live here.

### Hobbies:

I enjoy playing basketball with my friends. I also like to play other team sports like football and hockey. I also play squash and table tennis. Once I've won a competition in squash at my university. During summer I love water skiing and swimming in a nearby lake.  
I am very passionate about music. I've also tried some software for composing music but I am not really hooked into that yet. From time to time I enjoy playing board games with my friends.

### Interests:

I like to explore new technologies and I'm passionate about _Open Source movement_, _Internet of Things_ applications and _Linux desktop evolution_.  
I am interested in modern software architecture and _reactive programming_.  
I've attended various **tech conferences and hackathons**. I like them for all of the fascinating ideas that might be invented.  
I've given presentations on various topics related to _web development_. You can [take a look at some of them here](#presentations).  
I enjoy **teaching and explaining** how various technologies and techniques work to my colleagues for their better understanding.  
I take advantage of **test driven development**.

## Skills

Slovak is my mother tongue and I've learned English as my second language. I speak English on advanced level.

I'm an experienced _Linux Desktop_ user. I prefer to use open source libraries and technologies while I develop solutions.  
I'm in good command of Office Tools and I've experience with image manipulation programs like _GIMP_ and _Inkscape_.  
I can also compose music and sounds in _digital audio workstation_.

I'm passionate about _software architecture_. My goal is to be able to design suitable solution for any kind of product. From small _presentation sites_, _IOT devices_, to large _enterprise applications running on cloud_.

I do _public speaking_ and I am not afraid to share my knowledge and passion about technology.

I'm advanced user of source code management tools _git_ and _svn_.

I've a driving license for category B 🚗.
